Workspace · Logs
Returns activity logs, one page at a time.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
type | string | One of all, publishing, connections, webhooks, messaging, workflow_event, api_request, activityDefault publishing |
status | string | One of success, failed, pending, skipped, all |
platform | string | One of tiktok, instagram, whatsapp, facebook, youtube, linkedin, twitter, threads, pinterest, reddit, bluesky, googlebusiness, telegram, snapchat, all |
action | string | |
search | string | |
days | integer | Default 901 to 90 |
limit | integer | Default 501 to 100 |
skip | integer | Default 0At least 0 |
accountId | string | |
event | string | |
requestId | string | |
from | string (date-time) | |
to | string (date-time) | |
statusCode | integer | |
apiKeyId | string | |
profileId | string | |
includeReadReceipts | boolean | Default false |
statusClass | string | One of 1xx, 2xx, 3xx, 4xx, 5xx |
method | string | One of GET, POST, PUT, PATCH, DELETE |
source | string | One of api, dashboard, mcp, cli |
Example
curl -X GET "https://api.pozy.ai/v1/logs?limit=50" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/logs?limit=50", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/logs",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"limit": 50,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
logsarray of object23 child fields
typestringactionstringuser_idstringplatformstringaccount_idstringprofile_idstringoperation_idstringstatusstringOne of
success,failed,pending,skipped.status_codeintegererror_messagestringerror_codestringduration_msintegerendpointstringrequest_bodystringresponse_bodystringcreated_atstring (date-time)metadatastringrequest_idstringapi_key_idstringmethodstringpathstringip_addressstringuser_agentstring
paginationobjecttotalintegerlimitintegerskipintegerpagesintegerhasMoreboolean
200 response
{
"logs": [
{
"type": "string",
"action": "string",
"user_id": "6bcbade0f9d4bd9ddd667038",
"platform": "instagram",
"account_id": "6c0452ba13f893983745d2dc",
"profile_id": "6532c1777e5dfc41188fa1ee",
"operation_id": "6d45b066a711cb6b0400a4c5",
"status": "success",
"status_code": 1,
"error_message": "Hello from Pozy",
"error_code": "string",
"duration_ms": 1,
"endpoint": "string",
"request_body": "string",
"response_body": "string",
"created_at": "2026-10-02T09:00:00.000Z",
"metadata": "string",
"request_id": "658ac18fdfa6e639bea5f24e",
"api_key_id": "6c997b4d4de22bc698229e77",
"method": "string",
"path": "string",
"ip_address": "string",
"user_agent": "string"
}
],
"pagination": {
"total": 42,
"limit": 1,
"skip": 1,
"pages": 1,
"hasMore": true
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.